/*
 * muwedPlayer.js - the javascript code for the player frame
 *
 * Copyright (c) 2001 by Andreas S. Krebs (andreas.krebs@web.de)
 *
 */

var timerID=null;
var seconds=60;
var status="stop";
var old_shuffle="";
var old_repeat="";

function startTimer(secs, stat)
{
  seconds=secs;
  status=stat;

  timerID=setInterval("showTimeLeft()", 1000);
  old_shuffle=document.player.shuffle.value;
  old_repeat=document.player.repeat.value;
}

function showTimeLeft()
{
  seconds--;

  if(seconds < 0)
  {
    playerComand('refresh');
  }

  if(status == "play")
  {
    secs=seconds%60;
    t=(seconds-secs)/60;
    t+=":";
    if(secs < 10)
      t+="0";
    t+=secs;

    document.player.clock.value=t;
  }
}

function playerComand(cmd)
{
  if(timerID != null)
  {
    clearInterval(timerID);
  }

  url="irmp3cmd.php?comand="+cmd;

  if(old_repeat != document.player.repeat.value)
  {
    url+="&repeat="+document.player.repeat.value;
  }

  if(old_shuffle != document.player.shuffle.value)
  {
    url+="&shuffle="+document.player.shuffle.value;
  }

  document.location.href=url;
}

