<?php

/* 
 * selentries.inc - the script to get the selected entries from the session
 *
 * Copyright (c) by Andreas S. Krebs (andreas.krebs@web.de)
 *
 */

require_once("config.inc");

// register the session to get the selected Entries
session_register("selEntries");

// now let's add new selected entries - if any
if(is_array($selEntries)==false)
  $selEntries=array();

if($clearlist==1)	// does the user want to clear the list?
  $selEntries=array();
else
{
  $selEntries=addListEntries($selEntries, $HTTP_GET_VARS);
  $selEntries=addListEntries($selEntries, $HTTP_POST_VARS);
}

function addListEntries($list, $entries)
{
  foreach($entries as $varname => $value)
  {
    if($value=="1" && strncmp($varname, "i_", 2)==0)
    {
      $en=substr($varname, 2);

      if(in_array($en, $list)==false)
        $list[]=$en;
    }
  }

  return $list;
}

?>
