#!/bin/sh
#
# upgrade_0.1x-0.25.sh - a very simple shell script to upgrade muwed 0.1x database scheme to 0.25
#
# Copyright (c) by Andreas S. Krebs (andreas.krebs@web.de)
#

DBNAME=muwed
DBUSER=postgres

# add the composer column
psql $DBNAME $DBUSER -c "ALTER TABLE songs ADD COLUMN composer TEXT;"

# add the track column
psql $DBNAME $DBUSER -c "ALTER TABLE songs ADD COLUMN track INT;"

# remove NOT NULL from file column in playlists
psql $DBNAME $DBUSER -c "UPDATE pg_attribute SET attnotnull=FALSE FROM pg_class c WHERE attname='file' AND attrelid=c.oid AND c.relname='playlists';"

